Cannot install PHP8 - error: Error: Transaction check error:

Jeromero

Active Member
Aug 6, 2019
35
4
8
Johannesburg , South Africa
cPanel Access Level
Website Owner
Hi all,
I am experiencing difficulties installing PHP8 through Easy Apache 4
I receive an error:
The provision process exited with errors. Please check the log for details.
Provision process started.
[2022-03-18 00:47:43 +0200] info [xml-api] There are unfinished transactions remaining. You might consider running yum-complete-transaction, or "yum-complete-transaction --cleanup-only" and "yum history redo last", first to finish them. If those don't work you'll have to try removing/installing packages by hand (maybe package-cleanup can help).
[2022-03-18 00:47:43 +0200] info [xml-api] --> Running transaction check
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-libargon2.x86_64 0:20161029-3.3.4.cpanel will be updated
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-libargon2.x86_64 0:20161029-3.3.5.cpanel will be an update
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-libmcrypt.x86_64 0:2.5.8-5.5.4.cpanel will be updated
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-libmcrypt.x86_64 0:2.5.8-5.5.5.cpanel will be an update
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80.x86_64 0:8.0.16-1.1.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-libc-client.x86_64 0:2007f-22.23.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-pear.noarch 0:1.10.12-4.13.12.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-bcmath.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-calendar.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-cli.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-common.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-curl.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-devel.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-exif.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-fileinfo.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-fpm.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-ftp.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-gd.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-gettext.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-iconv.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-imap.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-intl.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-litespeed.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-mbstring.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-mysqlnd.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-odbc.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-pdo.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-posix.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-soap.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-sockets.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-tidy.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-xml.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-php-zip.x86_64 0:8.0.16-2.2.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] ---> Package ea-php80-runtime.x86_64 0:8.0.16-1.1.1.cpanel will be installed
[2022-03-18 00:47:43 +0200] info [xml-api] --> Finished Dependency Resolution
[2022-03-18 00:47:43 +0200] info [xml-api] ================================================================================
[2022-03-18 00:47:43 +0200] info [xml-api] Package Arch Version Repository
[2022-03-18 00:47:43 +0200] info [xml-api] Size
[2022-03-18 00:47:43 +0200] info [xml-api] ================================================================================
[2022-03-18 00:47:43 +0200] info [xml-api] Installing:
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80 x86_64 8.0.16-1.1.1.cpanel EA4 5.2 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-libc-client x86_64 2007f-22.23.1.cpanel EA4 575 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-pear noarch 1.10.12-4.13.12.cpanel EA4 347 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-bcmath x86_64 8.0.16-2.2.1.cpanel EA4 31 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-calendar x86_64 8.0.16-2.2.1.cpanel EA4 19 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-cli x86_64 8.0.16-2.2.1.cpanel EA4 3.2 M
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-common x86_64 8.0.16-2.2.1.cpanel EA4 178 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-curl x86_64 8.0.16-2.2.1.cpanel EA4 43 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-devel x86_64 8.0.16-2.2.1.cpanel EA4 781 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-exif x86_64 8.0.16-2.2.1.cpanel EA4 37 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-fileinfo x86_64 8.0.16-2.2.1.cpanel EA4 280 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-fpm x86_64 8.0.16-2.2.1.cpanel EA4 1.6 M
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-ftp x86_64 8.0.16-2.2.1.cpanel EA4 28 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-gd x86_64 8.0.16-2.2.1.cpanel EA4 121 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-gettext x86_64 8.0.16-2.2.1.cpanel EA4 13 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-iconv x86_64 8.0.16-2.2.1.cpanel EA4 25 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-imap x86_64 8.0.16-2.2.1.cpanel EA4 38 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-intl x86_64 8.0.16-2.2.1.cpanel EA4 134 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-litespeed x86_64 8.0.16-2.2.1.cpanel EA4 1.6 M
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-mbstring x86_64 8.0.16-2.2.1.cpanel EA4 426 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-mysqlnd x86_64 8.0.16-2.2.1.cpanel EA4 138 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-odbc x86_64 8.0.16-2.2.1.cpanel EA4 39 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-pdo x86_64 8.0.16-2.2.1.cpanel EA4 75 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-posix x86_64 8.0.16-2.2.1.cpanel EA4 18 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-soap x86_64 8.0.16-2.2.1.cpanel EA4 125 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-sockets x86_64 8.0.16-2.2.1.cpanel EA4 41 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-tidy x86_64 8.0.16-2.2.1.cpanel EA4 24 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-xml x86_64 8.0.16-2.2.1.cpanel EA4 118 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-php-zip x86_64 8.0.16-2.2.1.cpanel EA4 30 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-php80-runtime x86_64 8.0.16-1.1.1.cpanel EA4 28 k
[2022-03-18 00:47:43 +0200] info [xml-api] Updating:
[2022-03-18 00:47:43 +0200] info [xml-api] ea-libargon2 x86_64 20161029-3.3.5.cpanel EA4 24 k
[2022-03-18 00:47:43 +0200] info [xml-api] ea-libmcrypt x86_64 2.5.8-5.5.5.cpanel EA4 82 k
[2022-03-18 00:47:43 +0200] info [xml-api] Transaction Summary
[2022-03-18 00:47:43 +0200] info [xml-api] ================================================================================
[2022-03-18 00:47:43 +0200] info [xml-api] Install 30 Packages
[2022-03-18 00:47:43 +0200] info [xml-api] Upgrade 2 Packages
[2022-03-18 00:47:43 +0200] info [xml-api] Total size: 10 M
[2022-03-18 00:47:43 +0200] info [xml-api] Downloading packages:
[2022-03-18 00:47:43 +0200] info [xml-api] Running transaction check
[2022-03-18 00:47:43 +0200] info [xml-api] Running transaction test
[2022-03-18 00:47:43 +0200] info [xml-api] Error: Transaction check error:
[2022-03-18 00:47:43 +0200] info [xml-api] package ea-libargon2-20161029-3.3.5.cpanel.x86_64 is already installed
[2022-03-18 00:47:43 +0200] info [xml-api] package ea-libmcrypt-2.5.8-5.5.5.cpanel.x86_64 is already installed
[2022-03-18 00:47:43 +0200] info [xml-api] Error Summary
[2022-03-18 00:47:43 +0200] info [xml-api] -------------
[2022-03-18 00:47:43 +0200] info [xml-api] Leaving Shell

Error: Transaction check error:
package ea-libargon2-20161029-3.3.5.cpanel.x86_64 is already installed
package ea-libmcrypt-2.5.8-5.5.5.cpanel.x86_64 is already installed
The entire output was logged to: /usr/local/cpanel/logs/packman/errors/2022-03-18_00:47:43-1

Provision process finished.








And just before I click on Provision button to install the PHP8 and modules I see the message:


Please review the following list of packages you are about to upgrade by provisioning this profile.
  • libargon2
  • libmcrypt
But I can't find those in the list.
How do I get this sorted?
 
Last edited by a moderator:

Spirogg

Well-Known Member
Feb 21, 2018
700
155
43
chicago
cPanel Access Level
Root Administrator
first you should try in terminal yum update
then trey the below commands

Provision process started.
[2022-03-18 00:47:43 +0200] info [xml-api] There are unfinished transactions remaining. You might consider running yum-complete-transaction, or "yum-complete-transaction --cleanup-only" and "yum history redo last", first to finish them.
did you try this in terminal ? its in your first part of your error
 
  • Like
Reactions: cPRex

Spirogg

Well-Known Member
Feb 21, 2018
700
155
43
chicago
cPanel Access Level
Root Administrator
Thanks for your reply.
No I didn't try that.
So I login to Putty and rub these?
In what directory I should be while running these commands?
No directory needed.
you can also do this is WHM in the terminal.

just type yum update
Then press enter.
Same for the other one’s
 
  • Like
Reactions: Jeromero

Spirogg

Well-Known Member
Feb 21, 2018
700
155
43
chicago
cPanel Access Level
Root Administrator
No directory needed. Meaning be logged in as root.

you can also do this is WHM in the terminal.

just type yum update
Then press enter.
Same for the other one’s